summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author John Vogel <jvogel4@stny.rr.com>2013-12-18 15:09:03 +0700
committer Robby Workman <rworkman@slackbuilds.org>2013-12-25 15:05:34 -0600
commit04fd6ff1fa1f4092ab39eabeea8fafec296397bd (patch)
tree67b5643460fde58f0a024a26ef942c035fb33877 /misc
parent816455c62f63bebf7d8fa248b92decb0dc2ba2ab (diff)
downloadslackbuilds-04fd6ff1fa1f4092ab39eabeea8fafec296397bd.tar.gz
slackbuilds-04fd6ff1fa1f4092ab39eabeea8fafec296397bd.tar.xz
misc/sutils: Added (small command-line utilities).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/sutils/README9
-rw-r--r--misc/sutils/slack-desc19
-rw-r--r--misc/sutils/sutils.SlackBuild98
-rw-r--r--misc/sutils/sutils.info10
4 files changed, 136 insertions, 0 deletions
diff --git a/misc/sutils/README b/misc/sutils/README
new file mode 100644
index 0000000000..2a8e665a95
--- /dev/null
+++ b/misc/sutils/README
@@ -0,0 +1,9 @@
+sutils: sutils (small command-line utilities)
+
+A handleful of small, useful command-line utilities.
+battery: output formatted battery info
+clock: output formatted clock data
+essid: output formatted extended service set id
+exist: output file exists info
+narg: print out the nth arg
+uq: filter duplicate lines from standard input
diff --git a/misc/sutils/slack-desc b/misc/sutils/slack-desc
new file mode 100644
index 0000000000..c545fc1c8e
--- /dev/null
+++ b/misc/sutils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sutils: sutils (small command-line utilities)
+sutils:
+sutils: A handleful of small, useful command-line utilities.
+sutils: battery: output formatted battery info
+sutils: clock: output formatted clock data
+sutils: essid: output formatted extended service set id
+sutils: exist: output file exists info
+sutils: narg: print out the nth arg
+sutils: uq: filter duplicate lines from standard input
+sutils:
+sutils: https://github.com/baskerville/sutils
diff --git a/misc/sutils/sutils.SlackBuild b/misc/sutils/sutils.SlackBuild
new file mode 100644
index 0000000000..b5087c212e
--- /dev/null
+++ b/misc/sutils/sutils.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for sutils
+
+# Copyright 2013 John Vogel Corning, New York
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sutils
+VERSION=${VERSION:-0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+if [ -e $CWD/$VERSION.tar.gz ]; then
+ tar xvf $CWD/$VERSION.tar.gz
+else
+ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+fi
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make PREFIX=/usr MANPREFIX=/usr/man
+make PREFIX=/usr MANPREFIX=/usr/man install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Save this for when there are manpages.
+#find $PKG/usr/man -type f -exec gzip -9 {} \;
+#for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/sutils/sutils.info b/misc/sutils/sutils.info
new file mode 100644
index 0000000000..789833fb37
--- /dev/null
+++ b/misc/sutils/sutils.info
@@ -0,0 +1,10 @@
+PRGNAM="sutils"
+VERSION="0.1"
+HOMEPAGE="https://github.com/baskerville/sutils"
+DOWNLOAD="https://github.com/baskerville/sutils/archive/0.1.tar.gz"
+MD5SUM="5a1a2ccf5abc04978a0e39e212836c1b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="John Vogel"
+EMAIL="jvogel4@stny.rr.com"